## python-cmislib 0.5.1+dfsg

=== src/doc/src/Makefile ===
#
#      Licensed to the Apache Software Foundation (ASF) under one
#      or more contributor license agreements.  See the NOTICE file
#      distributed with this work for additional information
#      regarding copyright ownership.  The ASF licenses this file
#      to you under the Apache License, Version 2.0 (the
#      "License"); you may not use this file except in compliance
#      with the License.  You may obtain a copy of the License at
#
#        http://www.apache.org/licenses/LICENSE-2.0
#
#      Unless required by applicable law or agreed to in writing,
#      software distributed under the License is distributed on an
#      "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
#      KIND, either express or implied.  See the License for the
#      specific language governing permissions and limitations
#      under the License.
#

#
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../build
SOURCEDIR     = .

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR)

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MyTestProject.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MyTestProject.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/MyTestProject"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MyTestProject"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-cmislib 0.5.1%2Bdfsg

=== debian/changelog ===
python-cmislib (0.5.1+dfsg-2) unstable; urgency=medium

  * Add python-iso8601 to Depends and Build-Depends.
  * Add fix_test_import.patch to fix error messages when building the
    documentation.
  * Use git URLs for Vcs-* fields.

 -- Michael Fladischer <fladi@debian.org>  Tue, 23 Jun 2015 21:40:55 +0200

python-cmislib (0.5.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #787108).

 -- Michael Fladischer <fladi@debian.org>  Wed, 15 Apr 2015 15:17:54 +0200

=== debian/control ===
Source: python-cmislib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-iso8601,
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
Homepage: https://chemistry.apache.org/python/cmislib.html
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-cmislib.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-cmislib.git

Package: python-cmislib
Architecture: all
Depends: python-iso8601,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-cmislib-doc
Description: CMIS client library for Python
 Apache Chemistry cmislib is a CMIS client library for Python.
 .
 The goal of this library is to provide an interoperable API to CMIS
 repositories such as Alfresco, Nuxeo, KnowledgeTree, MS SharePoint, EMC
 Documentum, and any other content repository that is CMIS-compliant.

Package: python-cmislib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: CMIS client library for Python (documentation)
 Apache Chemistry cmislib is a CMIS client library for Python.
 .
 The goal of this library is to provide an interoperable API to CMIS
 repositories such as Alfresco, Nuxeo, KnowledgeTree, MS SharePoint, EMC
 Documentum, and any other content repository that is CMIS-compliant.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=cmislib

%:
	dh $@ --with=python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d src/doc/.build/.doctrees -N src/doc/src src/doc/.build/html

override_dh_clean:
	rm -rf src/doc/.build/
	dh_clean

## python-cmislib 0.5.1+dfsg

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
http://pypi.debian.net/cmislib/cmislib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cmislib 0.7.4

=== debian/changelog ===
python-cmislib (0.7.4-1~eob90+1) stretch-eobuilder; urgency=medium

  * Update and switch to https://pypi.org/project/cmislib-maykin/ fork.
  * Eobuilder version

 -- Frederic Peters <eobuilder@jenkins.entrouvert.org>  Wed, 03 Jun 2020 16:09:38 +0200

=== debian/control ===
Source: python-cmislib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-httplib2,
               python-iso8601,
               python-setuptools,
               python-six,
               python3-all,
               python3-httplib2,
               python3-iso8601,
               python3-setuptools,
               python3-six
Standards-Version: 3.9.6
Homepage: https://pypi.org/project/cmislib-maykin/

Package: python-cmislib
Architecture: all
Depends: python-iso8601,
         ${misc:Depends},
         ${python:Depends}
Description: CMIS client library for Python
 Apache Chemistry cmislib is a CMIS client library for Python.
 .
 The goal of this library is to provide an interoperable API to CMIS
 repositories such as Alfresco, Nuxeo, KnowledgeTree, MS SharePoint, EMC
 Documentum, and any other content repository that is CMIS-compliant.

Package: python3-cmislib
Architecture: all
Depends: python3-iso8601,
         ${misc:Depends},
         ${python3:Depends}
Description: CMIS client library for Python 3
 Apache Chemistry cmislib is a CMIS client library for Python.
 .
 The goal of this library is to provide an interoperable API to CMIS
 repositories such as Alfresco, Nuxeo, KnowledgeTree, MS SharePoint, EMC
 Documentum, and any other content repository that is CMIS-compliant.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=cmislib

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild
